/*
 * This file is part of Hopsworks
 * Copyright (C) 2020, Logical Clocks AB. All rights reserved
 *
 * Hopsworks is free software: you can redistribute it and/or modify it under the terms of
 * the GNU Affero General Public License as published by the Free Software Foundation,
 * either version 3 of the License, or (at your option) any later version.
 *
 * Hopsworks is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License along with this program.
 * If not, see <https://www.gnu.org/licenses/>.
 */

package io.hops.hopsworks.api.featurestore.statistics;

import io.hops.hopsworks.common.api.RestDTO;

import javax.xml.bind.annotation.XmlRootElement;
import java.util.List;

@XmlRootElement
public class StatisticsDTO extends RestDTO<StatisticsDTO> {

  private Long commitTime;
  private Long featureGroupCommitId;
  private String content;
  private List<SplitStatisticsDTO> splitStatistics;

  public Long getCommitTime() {
    return commitTime;
  }

  public void setCommitTime(Long commitTime) {
    this.commitTime = commitTime;
  }

  public Long getFeatureGroupCommitId() {
    return featureGroupCommitId;
  }

  public void setFeatureGroupCommitId(Long featureGroupCommitId) {
    this.featureGroupCommitId = featureGroupCommitId;
  }

  public String getContent() {
    return content;
  }

  public void setContent(String content) {
    this.content = content;
  }

  public List<SplitStatisticsDTO> getSplitStatistics() {
    return splitStatistics;
  }

  public void setSplitStatistics(List<SplitStatisticsDTO> splitStatistics) {
    this.splitStatistics = splitStatistics;
  }
}
